/****************************************************************************
 GLOBALS.H, part of the 3048A Read_results program.

 Structure definitions and some of the global variables.
 ****************************************************************************/

#define HFSEGS   10    /* maximum number of RF Analyzer segments */
#define FFTSEGS  15    /* maximum number of FFT Analyzer segments */
#define TRUE 1
#define FALSE 0

typedef int BOOLEAN;

typedef struct tag_timedate
{
     int yr;
     char mo;
     char day;
     char hr;
     char min;
     char sec;
} TIMEDATE;

typedef struct tag_device
{
     char dev[12];
     char ctrl;
} DEVICE;

DEVICE MUut, MRef, MExt, MCnv;

double Carrier;      /* carrier frequency (Hz) */

/* FFT Analyzer segments */
double Fft_segs[FFTSEGS][5];
       /* 0 = start freq of PLOTTED range asked for by user */
       /* 1 = stop  freq of PLOTTED range asked for by user */
       /* 2 = start freq of MEASUREMENT range asked for by user */
       /* 3 = stop  freq of MEASUREMENT range asked for by user */
       /* 4 = number of averages */

double Fft_tags[FFTSEGS][4];
       /* 0 = start of the plotted range in bins (first bin plotted) */
       /* 1 = stop  of the plotted range in bins (last bin plotted)*/
       /* 2 = start freq of FFT analyzer sweep */
       /* 3 = stop freq of FFT analyzer sweep */

/* RF Analyzer segments */
double Hf_segs[HFSEGS][8];

double Hf_tags[HFSEGS][5];

/* storage of noise measurement data from the analyzers */
int    Fft_plot[FFTSEGS][401];
int    Hf_plot[HFSEGS][1001];

char   Gtitle[81];             /* graph title */

int    Rfa_bins_used;


TIMEDATE Starttime, Stoptime;

double Mstate[50];

/* direct spectrum generated spur amplitudes (for Spur Accuracy test) */
double Caltones[6][2];

